Bug 1442802 - [Backport] spdy fixes to 3.1
Summary: [Backport] spdy fixes to 3.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 3.1.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.1.1
Assignee: Seth Jennings
QA Contact: DeShuai Ma
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-17 15:06 UTC by Ryan Howe
Modified: 2020-08-13 09:04 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A library used in OCP 3.1 contained an issue where some connections did not terminate cleanly. This issue lead to high memory usage. This fix properly terminates the connections, allowing the memory associated with the connection to be freed as expected.
Clone Of:
Environment:
Last Closed: 2017-05-18 09:28:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github https://github.com/openshift ose pull 666 0 None None None 2020-04-23 23:25:20 UTC
Red Hat Knowledge Base (Solution) 3020251 0 None None None 2017-05-02 06:47:57 UTC
Red Hat Product Errata RHBA-2017:1235 0 normal SHIPPED_LIVE OpenShift Container Platform 3.5, 3.4, 3.3, and 3.1 bug fix update 2017-05-18 13:15:52 UTC

Description Ryan Howe 2017-04-17 15:06:53 UTC
Description of problem:

Needing backport for PR to OCP 3.1 to fix some issues with OCP nodes having very high memory usage running the OpenShift process. 

https://github.com/openshift/ose/pull/666

Comment 13 errata-xmlrpc 2017-05-18 09:28:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1235


Note You need to log in before you can comment on or make changes to this bug.